Index: /trunk/SRC/Calendar/date2jul.pro
===================================================================
--- /trunk/SRC/Calendar/date2jul.pro	(revision 92)
+++ /trunk/SRC/Calendar/date2jul.pro	(revision 93)
@@ -3,29 +3,20 @@
 ;------------------------------------------------------------
 ;+
-; NAME: date2jul
 ;
-; PURPOSE: gives julian day equivalent of a date in yyyymmdd format 
+; gives julian day equivalent of a date in yyyymmdd format 
 ;
-; CATEGORY: calendar
+; @categories calendar
 ;
-; CALLING SEQUENCE: jday = juldate(19930124)
+; @param date {in}{required} date in yyyymmdd format
 ;
-; INPUTS: date in yyyymmdd format
-;
-; KEYWORD PARAMETERS:
-;
-;       /GRADS: if  1 <= year <= 49 --> year = 2000 + year
+; @keyword /GRADS {in}{optional} 
+;               if  1 <= year <= 49 --> year = 2000 + year
 ;               if 50 <= year <= 99 --> year = 1900 + year
 ;
-; OUTPUTS:date en jour julien
+; @returns date in julian day
 ;
-; COMMON BLOCKS: none
+; @examples 
 ;
-; SIDE EFFECTS: ?
-;
-; RESTRICTIONS: ?
-;
-; EXAMPLE:
-;
+;    IDL> jday = juldate(19930124)
 ;    IDL> print, date2jul(19931205) EQ julday(12,5,1993) 
 ;       1
@@ -33,5 +24,5 @@
 ;       1
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       June 2005
 ;-
Index: /trunk/SRC/Calendar/date2string.pro
===================================================================
--- /trunk/SRC/Calendar/date2string.pro	(revision 92)
+++ /trunk/SRC/Calendar/date2string.pro	(revision 93)
@@ -3,27 +3,16 @@
 ;------------------------------------------------------------
 ;+
-; NAME: date2string
 ;
-; PURPOSE: create a nice and readable format to print a date
+; create a nice and readable format to print a date
 ;
-; CATEGORY: calendar/string
+; @categories calendar, string
 ;
-; CALLING SEQUENCE: nice_date = date2string(yyyymmdd)
-; 
-; INPUTS: yyyymmdd the date in the format 
-;         yearyearyearyearmonthmonthdayday
+; @param yyyymmdd {in}{required} the date in the format yyyymmdd
 ;
-; KEYWORD PARAMETERS:those of string fonction to specify the
-;                    format of the month (the C format)
+; @file_comments keyword parameters of string function to specify the format of the month (the C format) can be used
 ;
-; OUTPUTS: a string containing the date in a easy readable format
+; @returns a string containing the date in a easy readable format
 ;
-; COMMON BLOCKS:none
-;
-; SIDE EFFECTS:?
-;
-; RESTRICTIONS:?
-;
-; EXAMPLE:
+; @examples 
 ;
 ;    IDL> print, date2string(19900123)
@@ -32,5 +21,5 @@
 ;    JAN 23, 1990
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ; Creation ???
 ; update/review June 2005 Sebastien Masson.
Index: /trunk/SRC/Calendar/daysinmonth.pro
===================================================================
--- /trunk/SRC/Calendar/daysinmonth.pro	(revision 92)
+++ /trunk/SRC/Calendar/daysinmonth.pro	(revision 93)
@@ -3,30 +3,24 @@
 ;------------------------------------------------------------
 ;+
-; NAME:daysinmonth
 ;
-; PURPOSE:give the nomber of days in a specefic month
+; give the number of days in a specific month
 ;
-; CATEGORY: calandar
+; @categories calendar
 ;
-; CALLING SEQUENCE: ndays = daysinmonth([month[, year]])
 ;
-; INPUTS (optionnal): month and year. Year is used only if the
-;      common variable key_caltype = 'greg'. In that case, month
-;      and year must have the same number of elements. if not
-;      provided, we take month and year from "time" common variable.
+; @param month {in}{optional} 
+; @param year {in}{optional} 
+; Year is used only if the  common variable key_caltype = 'greg'. 
+; In that case, month and year must have the same number of elements. 
+; If not provided, we take month and year from "time" common variable.
 ;
-; KEYWORD PARAMETERS:
+; @returns number of days in a month or -1 in case of error
 ;
-; OUTPUTS:
+; @uses cm_4cal
+;        
+; @examples 
+; IDL> ndays = daysinmonth(2, 2000)
 ;
-; COMMON BLOCKS: cm_4cal
-;        
-; SIDE EFFECTS: return -1 in case of error
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			2/7/98
 ; update/review/english/new commons: June 2005 Sebastien Masson.
Index: /trunk/SRC/Calendar/jul2date.pro
===================================================================
--- /trunk/SRC/Calendar/jul2date.pro	(revision 92)
+++ /trunk/SRC/Calendar/jul2date.pro	(revision 93)
@@ -3,30 +3,19 @@
 ;------------------------------------------------------------
 ;+
-; NAME: jul2date
 ;
-; PURPOSE: gives yyyymmdd date equivalent of a julian day
+; gives yyyymmdd date equivalent of a julian day
 ;
-; CATEGORY: calendar
+; @categories calendar
 ;
-; CALLING SEQUENCE: date = jul2date(jday)
+; @param jday {in}{required} julian day
 ;
-; INPUTS:jday: julian day
+; @returns date in yyyymmdd format
 ;
-; KEYWORD PARAMETERS: None
-;
-; OUTPUTS: date in yyyymmdd format
-;
-; COMMON BLOCKS: None
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @examples 
 ;
 ;    IDL> print, jul2date(julday(12,23,1999))
 ;        19991223
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       June 2005
 ;-
Index: /trunk/SRC/Calendar/leapyr.pro
===================================================================
--- /trunk/SRC/Calendar/leapyr.pro	(revision 92)
+++ /trunk/SRC/Calendar/leapyr.pro	(revision 93)
@@ -1,28 +1,25 @@
 ;-----------------------------------------------------------------
-function leapyr, year
 ;+
-; NAME:			leapyr
 ;
-; PURPOSE:		determine whether the input year is a leap year or not
-;			Very useful for finding number of days in a year.
-;			eg. NUM_DAYS_IN_YR = 365 + leapyr(year)
+; determine whether the input year is a leap year or not
+; Very useful for finding number of days in a year.
+; eg. NUM_DAYS_IN_YR = 365 + leapyr(year)
 ;
-; CATEGORY:		Utility
+; @categories calendar
 ;
-; CALLING SEQUENCE:	result = leapyr(year)
+; @param year {in}{required} year to be tested as a leap year
 ;
-; INPUTS:		year	= test if year is a leap year 
+; @returns 0 then not a leap year 
+;          1 then year is a leap year
 ;
-; OUTPUTS:		result 	= 0 then not a leap year
-;				= 1 then year is a leap year
+; @uses cm_4cal
 ;
-; COMMON BLOCKS: cm_4cal
+; @examples
+; IDL> result = leapyr(2000)
 ;
-; SIDE EFFECTS:
-;	none.
-; MODIFICATION HISTORY:
+; @history
 ;
-;	Originally Written by: Trevor Harris, Physics Dept., University of Adelaide,
-;		20/09/88
+; Originally Written by: Trevor Harris, Physics Dept., University of Adelaide,
+;20/09/88
 ;
 ;       November 2004: correction for century years... S. Masson;
@@ -40,7 +37,7 @@
 ;-
 ;------------------------------------------------------------
+function leapyr, year
 ; include commons
 @cm_4cal
-;------------------------------------------------------------	
   yr = long(year)
   IF n_elements(key_caltype) EQ 0 THEN key_caltype = 'greg'
Index: /trunk/SRC/Calendar/monthname.pro
===================================================================
--- /trunk/SRC/Calendar/monthname.pro	(revision 92)
+++ /trunk/SRC/Calendar/monthname.pro	(revision 93)
@@ -3,28 +3,19 @@
 ;------------------------------------------------------------
 ;+
-; NAME:monthname
 ;
-; PURPOSE:gives the name of a month
+; gives the name of a month
 ;
-; CATEGORY:
+; @categories calendar
+; 
+; @param number {in}{required}  the month number (from 1 to 12)
 ;
-; CALLING SEQUENCE:name=monthname(number)
-; 
-; INPUTS: number, the month number (from 1 to 12)
+; @file_comments keyword parameters of string function to specify the format of the month (the C format) can be used.
 ;
-; KEYWORD PARAMETERS:those of string fonction to specify the
-;                    format of the month (the C format)
+; @returns the month's name
 ;
-; OUTPUTS: an integer, the month's name
+; @examples 
+; IDL> name=monthname(2)
 ;
-; COMMON BLOCKS:None
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      1 October 2001
 ;-
Index: /trunk/SRC/Utilities/createfunc.pro
===================================================================
--- /trunk/SRC/Utilities/createfunc.pro	(revision 92)
+++ /trunk/SRC/Utilities/createfunc.pro	(revision 93)
@@ -3,42 +3,27 @@
 ;------------------------------------------------------------
 ;+
-; NAME:createfunc
+; write an idl function, compile it and execute it.
+; usefull to avoid the use of execute
 ;
-; PURPOSE: write an idl function, compile it and execute it.
-;          usefull to avoid the use of execute
+; @param command {in}{required} a scalar string defining the result to be byven back by the function. (see examples)
 ;
-; CATEGORY:
-;
-; CALLING SEQUENCE:res = createfunc(command)
-; 
-; INPUTS:
-;      command: a scalar string defining the result to be byven back by the
-;               function. (see examples)
-;
-; KEYWORD PARAMETERS:
-;
-;      FILENAMEIN: name of the funccedure to be created.
+; @keyword FILENAMEIN {in} name of the funccedure to be created.
 ;      'for_createfunc.pro' by default
-;
-;      KWDLIST: a vector string. to specify a list of keywords that
+; @keyword KWDLIST {in} a vector string. to specify a list of keywords that
 ;      must be included in the function definition. Warning: the string
 ;      must start with a ',' for example: KWDLIST = ', TOTO = toto'
 ;
-;      _EXTRA: used to pass your keywords to the created function.
-;
-; OUTPUTS: none 
-;
-; COMMON BLOCKS: none
+; @keyword _EXTRA used to pass your keywords to the created function.
 ;
 ; SIDE EFFECTS: ends the function name with '.pro' if needed
 ;
-; RESTRICTIONS:arguments can be given only through keywords
+; @restrictions arguments can be given only through keywords
 ;
-; EXAMPLE:
+; @examples 
 ;      IDL> print, createfunc('3*2', filename='test')
 ;      IDL> print, createfunc('3*two', filename = 'test' $
 ;                                    , kwdlist ='two = two', two = 2)
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      May 2005
 ;-
Index: /trunk/SRC/Utilities/createpro.pro
===================================================================
--- /trunk/SRC/Utilities/createpro.pro	(revision 92)
+++ /trunk/SRC/Utilities/createpro.pro	(revision 93)
@@ -3,37 +3,23 @@
 ;------------------------------------------------------------
 ;+
-; NAME:createpro
+; write an idl procedure, compile it and execute it.
 ;
-; PURPOSE: write an idl procedure, compile it and execute it.
+; @param command {in}{required} a string array defining the procedure to be created. each element will be a line of the created procedure. 
 ;
-; CATEGORY:
-;
-; CALLING SEQUENCE:createpro, command
-; 
-; INPUTS:
-;      command: a string array defining the procedure to be created.
-;      each element will be a line of the created procedure. 
-;
-; KEYWORD PARAMETERS:
-;
-;      FILENAMEIN: name of the procedure to be created.
+; @keyword FILENAMEIN name of the procedure to be created.
 ;      'for_createpro.pro' by default
 ;
-;      KWDLIST: a vector string. to specify a list of keywords that
+; @keyword KWDLIST a vector string. to specify a list of keywords that
 ;      must be included in the procedure definition. Warning: the string
 ;      must start with a ',' for example: KWDLIST = ', TOTO = toto'
 ;
-;      _EXTRA: used to pass your keywords to the created procedure.
-;
-; OUTPUTS: none 
-;
-; COMMON BLOCKS: none
+; @keyword _EXTRA used to pass your keywords to the created procedure.
 ;
 ; SIDE EFFECTS: ends the procedure name with '.pro' if needed
 ;
-; RESTRICTIONS:is not working with functions, use createfunc instead.
+; @restrictions is not working with functions, use createfunc instead.
 ;              arguments can be given only through keywords
 ;
-; EXAMPLE:
+; @examples 
 ;      IDL> createpro, ['print,''OK'''], filename='test'
 ;      IDL> createpro, ['if keyword_set(ok) then print,''OK'' else print, ''No'''] $
@@ -43,5 +29,5 @@
 ;
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ; cleaning + new keywords: October 2005
 ; Feb. 2006: supress keyword "kwdused" and use call_procedure instead of execute
Index: /trunk/SRC/Utilities/def_myuniquetmpdir.pro
===================================================================
--- /trunk/SRC/Utilities/def_myuniquetmpdir.pro	(revision 92)
+++ /trunk/SRC/Utilities/def_myuniquetmpdir.pro	(revision 93)
@@ -1,17 +1,16 @@
 ;+
-; NAME: def_myuniquetmpdir
+; if needed, define and create myuniquetmpdir
+; (common variable from cm_general) and add it to !path
 ;
-; PURPOSE: if needed, define and create myuniquetmpdir
-;          (common variable from cm_general) and add it to !path
+; @categories utilities
 ;
-; CATEGORY: utilities
+; @examples 
+; IDL> def_myuniquetmpdir
 ;
-; CALLING SEQUENCE:def_myuniquetmpdir
+; @uses cm_general
 ;
-; COMMON BLOCKS: cm_general
+; @file_comments SIDE EFFECTS: see purpose
 ;
-; SIDE EFFECTS: see purpose
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2005
 ;
Index: /trunk/SRC/Utilities/demomode_compatibility.pro
===================================================================
--- /trunk/SRC/Utilities/demomode_compatibility.pro	(revision 92)
+++ /trunk/SRC/Utilities/demomode_compatibility.pro	(revision 93)
@@ -1,3 +1,7 @@
+;+
+; @categories utilities
+;-
 PRO demomode_compatibility
+
 ;
 @cm_general
Index: /trunk/SRC/Utilities/find.pro
===================================================================
--- /trunk/SRC/Utilities/find.pro	(revision 92)
+++ /trunk/SRC/Utilities/find.pro	(revision 93)
@@ -3,16 +3,12 @@
 ;------------------------------------------------------------
 ;+
-; NAME:find
-;
-; PURPOSE: based on file_search, but it is possible to speficy
+; based on file_search, but it is possible to speficy
 ;          a set of possibles names and a different set of
 ;          possibles directories names.
 ;          By defaut look for files included in !path
 ;
-; CATEGORY:find a file
+; @categories find a file
 ;
-; CALLING SEQUENCE: found = find(filename)
-;
-; INPUTS: A scalar or array variable of string type, containing
+; @param filein {in}{required} A scalar or array variable of string type, containing
 ;     file names to match. Input names specifications may contain
 ;     wildcard characters, enabling them to match multiple files
@@ -21,10 +17,8 @@
 ;     completed with '.pro'
 ;
-; KEYWORD PARAMETERS:
-;
-;     FIRSTFOUND: activate this keyword to stop looking for the file as
+; @keyword FIRSTFOUND activate this keyword to stop looking for the file as
 ;        soon as we found one.
 ;
-;     IODIRECTORY: A scalar or array variable of string type, containing
+; @keyword IODIRECTORY A scalar or array variable of string type, containing
 ;        directories names where we are looking for the file. by defaut
 ;        we use !path. Different directories can be separated by
@@ -34,38 +28,32 @@
 ;        keyword is not taken into account.
 ;
-;     LOOKALLDIR:activate to look for the file with a recursive search
+; @keyword LOOKALLDIR activate to look for the file with a recursive search
 ;        in iodir, homedir, !path + the DATA:TestsData directory if it exists.
 ;
-;     NOPRO: activate to avoid the automatic search of filename
+; @keyword NOPRO activate to avoid the automatic search of filename
 ;        completed with '.pro'
 ;
-;     ONLYPRO:force to look only at file ending with .pro
+; @keyword ONLYPRO force to look only at file ending with .pro
 ;
-;     ONLYNC:force to look only at file ending with .nc
+; @keyword ONLYNC force to look only at file ending with .nc
 ;
-;     RECURSIVE: performs recursive searching of directory hierarchies.
+; @keyword RECURSIVE performs recursive searching of directory hierarchies.
 ;        In a recursive search, find looks recursively for any and all 
 ;        subdirectories in the file hierarchy rooted at the IODIRECTORY
 ;        argument. 
 ;
-;     REPERTOIRE: obsolete. keep for compatibility, use directory keyword
+; @keyword REPERTOIRE obsolete. keep for compatibility, use directory keyword
 ;
-;     UNIQUE: activate to make sure that each element of the output
+; @keyword UNIQUE activate to make sure that each element of the output
 ;        vector is unique.
 ;
-;     all file_search keywords
+; @file_comments  all file_search keywords can be used.
 ;
-; OUTPUTS: A scalar or array variable of string type, containing the
+; @returns A scalar or array variable of string type, containing the
 ;       name (with the full path of the matching files. If no files
 ;       exist with names matching the input arguments, find returns
 ;       the scalar string : 'NOT FOUND'
 ;
-; COMMON BLOCKS: none
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @examples 
 ;
 ;   IDL> print, find('*loadct')  
@@ -94,5 +82,5 @@
 ;   /usr/local/rsi/idl_6.0/lib/mesh_obj.pro
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       28/4/1999
 ;                       6/7/1999: compatibilite mac et windows
Index: /trunk/SRC/Utilities/isadirectory.pro
===================================================================
--- /trunk/SRC/Utilities/isadirectory.pro	(revision 92)
+++ /trunk/SRC/Utilities/isadirectory.pro	(revision 93)
@@ -3,34 +3,22 @@
 ;------------------------------------------------------------
 ;+
-; NAME:isadirectory
-;
-; PURPOSE:check if a directory exists and make sure that it ends 
+; check if a directory exists and make sure that it ends 
 ;         with the directory separator mark.
 ;
-; CATEGORY: io
+; @categories io
 ;
-; CALLING SEQUENCE: directory=isadirectory([dirname])
-; 
-; INPUTS:optional:a proposed directory. If neither dirname 
+; @param directoryin {in}{optional} a proposed directory. If neither dirname 
 ;        input parameter of IODIRECTORY keyword are defined,
 ;        the ask the user to choose a directory.
 ;
-; KEYWORD PARAMETERS:
+; @keyword IODIRECTORY a proposed directory
 ;
-;     IODIRECTORY:a proposed directory
+; @keyword TITLE the title of the window
 ;
-;     TITLE = the title of the window
+; @file_comments  all dialog_pickfile keywords (like filter) can be used.
 ;
-;     all dialog_pickfile keywords (like filter)
+; @returns the directory name
 ;
-; OUTPUTS: the directory name
-;
-; COMMON BLOCKS:none
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @examples 
 ;
 ;    IDL> print, !dir
@@ -40,5 +28,5 @@
 ;    IDL> print, isadirectory(!dir+'notgood')
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 28, 2000
 ; June 2005: Sebastien Masson: cleaning, use for file_* functions
@@ -72,6 +60,2 @@
 ;
 END
-
-
-
-
Index: /trunk/SRC/Utilities/isafile.pro
===================================================================
--- /trunk/SRC/Utilities/isafile.pro	(revision 92)
+++ /trunk/SRC/Utilities/isafile.pro	(revision 93)
@@ -3,48 +3,38 @@
 ;------------------------------------------------------------
 ;+
-; NAME: isafile
-;
-; PURPOSE: same as find.pro except that as long as the file is 'NOT FOUND',
+; same as find.pro except that as long as the file is 'NOT FOUND',
 ;          isafile calls dialog_pickfile, to ask the user to select a file.
 ;
-; CATEGORY: io
+; @categories io
 ;
-; CALLING SEQUENCE:filename = isafile([filein])
 ; 
-; INPUTS:optional:a proposed name. If neither filein
+; @param filein {in}{optional} a proposed name. If neither filein
 ;        input parameter of filename keyword are defined,
 ;        the ask the user to choose a file.
 ;
-; KEYWORD PARAMETERS:
+; @keyword FILENAME a proposed filename.
 ;
-;     FILENAME: a proposed filename.
-;
-;     IODIRECTORY: a directory where we look for the file. this
+; @keyword IODIRECTORY a directory where we look for the file. this
 ;           keyword is taken into account only if the dirmame
 ;           of filein or filename is '.'
 ;
-;     /NEW:to specify that filename is a new file and that
+; @keyword /NEW to specify that filename is a new file and that
 ;        we should check only its path
 ;
-;     ONLYPRO:force to look only at file ending with .pro
+; @keyword ONLYPRO force to look only at file ending with .pro
 ;
-;     ONLYNC:force to look only at file ending with .nc
+; @keyword ONLYNC force to look only at file ending with .nc
 ;
-;     RECURSIVE: performs recursive searching of directory hierarchies.
+; @keyword RECURSIVE performs recursive searching of directory hierarchies.
 ;        In a recursive search, find looks recursively for any and all 
 ;        subdirectories in the file hierarchy rooted at the IODIRECTORY
 ;        argument. 
 ;
-;     all find, file_search and dialog_pickfile keywords (like title)
+; @file_comments all find, file_search and dialog_pickfile keywords (like title)
+can be used
 ;
-; OUTPUTS:the filename with its path
+; @returns the filename with its path
 ;
-; COMMON BLOCKS:none
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @examples 
 ;
 ;  IDL> print, isafile('/Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro')
@@ -60,5 +50,5 @@
 ;  IDL> print, isafile('fake_file.pro')
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      11/2/2000
 ; June 2005: Sebastien Masson: cleaning, use for file_* functions
Index: /trunk/SRC/Utilities/protype.pro
===================================================================
--- /trunk/SRC/Utilities/protype.pro	(revision 92)
+++ /trunk/SRC/Utilities/protype.pro	(revision 93)
@@ -3,28 +3,16 @@
 ;------------------------------------------------------------
 ;+
-; NAME: protype
-;
-; PURPOSE: test is a ".pro" file corresponds to an IDL procedure,
+; test is a ".pro" file corresponds to an IDL procedure,
 ;          function or batch file.
 ;
-; CATEGORY:
+; @categories utilities
 ;
-; CALLING SEQUENCE: type = protype(profilename)
-;
-; INPUTS: A scalar of string type, the name of the ".pro" file to be tested 
-;     if necessary, the input name is completed with '.pro'
+; @param file {in} A scalar of string type, the name of the ".pro" file to be tested
+;    if necessary, the input name is completed with '.pro'
 ;     and its path found in !path
 ;
-; KEYWORD PARAMETERS: NONE
+; @returns A scalar of string type: 'proc', 'func' or 'batch'
 ;
-; OUTPUTS: A scalar of string type: 'proc', 'func' or 'batch'
-;
-; COMMON BLOCKS: none
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @examples 
 ;
 ;      IDL> print, protype('protype')
@@ -37,5 +25,5 @@
 ;      proc
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       Feb 2006
 ;-
